
:root {
    /* override bootstrap color */
    --bs-primary: #0F98B8;
    --bs-secondary: #4D5D76;

    /* RGB color */
    --bs-primary-rgb: 15, 152, 184;
    --bs-secondary-rgb: 77, 93, 118;

    /* all custom color use */
    --primary_shade_1: #B7E0EA;
    --primary_shade_2: #E7F5F8;
    --secondary_shade_1: #3E4A5E;
    --secondary_shade_2: #828E9F;
    --secondary_shade_3: #B8BEC8;

    /* Custom */
    --border-radius: 0.625rem;
    --primary_border: #dbdfe494;
    /* border radius */
    --bs-border-radius: 0.313rem;
    /* font family */
    --primary_font: 'Poppins', sans-serif;
    --secondary_font: 'Roboto', sans-serif;
}

/* Button Global */

.btn-primary {
    --bs-btn-color: #fff;
    --bs-btn-bg: #0F98B8;
    --bs-btn-border-color: #0F98B8;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #0C7A93;
    --bs-btn-hover-border-color: #0C7A93;
    --bs-btn-focus-shadow-rgb: 49, 132, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #0F98B8;
    --bs-btn-active-border-color: #0F98B8;
    --bs-btn-active-shadow: inset 0 0.188rem 0.313rem rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #fff;
    --bs-btn-disabled-bg: #0F98B8;
    --bs-btn-disabled-border-color: #0F98B8;
}

.btn-outline-primary {
    --bs-btn-color: #0F98B8;
    --bs-btn-border-color: #0F98B8;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #0F98B8;
    --bs-btn-hover-border-color: #0F98B8;
    --bs-btn-focus-shadow-rgb: 13, 110, 253;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #0F98B8;
    --bs-btn-active-border-color: #0F98B8;
    --bs-btn-active-shadow: inset 0 0.188rem 0.313rem rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #0F98B8;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #0F98B8;
    --bs-gradient: none;
}

.btn {
    --bs-btn-padding-x: 1.25rem;
    padding-block: 0.438rem;
    --bs-btn-font-weight: 500;
    text-transform: capitalize;
}

.btn-link {
    --bs-btn-color: #383838;
    --bs-btn-hover-color: #0F98B8;
    --bs-btn-active-color: #0F98B8;
}

/* Global */
html {
    scroll-behavior: smooth;
}

body {
    font-family: var(--primary_font);
    -webkit-text-size-adjust: 100%;
}
h1,h2,h3,h4,h5,h6{
    color: var(--secondary_shade_1);
    font-weight: 600;
}
h2{
    text-transform: uppercase;
    font-size: 2.25rem;
}
h3{
    font-size: 1.75rem;
}
h4{
    font-size: 1.5rem;
}
h5{
    font-size: 1.125rem;
}
h6{
    font-size: 1rem;
}
h2 span{
    color: var(--bs-primary);
    font-weight: 700;
}
p {
    color: var(--secondary_shade_2);
    font-family: var(--secondary_font);
}
a {
    text-decoration: none;
    transition: .4s all ease;
}
a:hover {
    transition: .4s all ease;
}
ul li{
    list-style-type: none;
}
hr{
    border-color: #c2bfbf;
}

/* dropdown */
.dropdown-item:hover{
    color: var(--bs-primary);
}
.dropdown-item.active, .dropdown-item:active{
    color: var(--bs-primary);
    background-color: var(--primary_shade_1);
}
.dropdown-menu{
    border-color: #0a95b414;
}

/* muted color */
.text-muted{
    color: var(--secondary_shade_3) !important;
}

/*Preloader*/
.preloader {
    background-color: var(--primary_shade_2);
    height: 100%;
    position: fixed;
    width: 100%;
    z-index: 1100;
}
.preloader > img {
    max-width: 10.625rem;
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, 50%);
}
/* Preloader CSS */

/* global form design */
.form-control,.form-select {
    background-color: var(--bs-white);
    border: 0.063rem solid var(--primary_border);
    padding: 0.5rem 1rem;
    color: var(--bs-secondary);
    border-radius: var(--bs-border-radius);
}
.form-floating .form-select{
    padding: 1.625rem .75rem .625rem;
}
.form-control:focus {
    box-shadow: none;
    background-color: var(--bs-white);
    border-color: var(--primary_border);
}
.form-control::placeholder {
    font-size: 0.875rem;
    color: #B8BEC8 ;
}
.form-label {
    color: var(--bs-secondary);
    text-transform: capitalize;
    font-weight: 500;
}

.form-switch .form-check-input{
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
    box-shadow: 0 0 0 0.25rem rgb(196 238 247);
    position: relative;
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='-4 -4 8 8'%3e%3ccircle r='3' fill='white'/%3e%3c/svg%3e") !important;
}
.form-switch .form-check-input:checked {
    background-color: var(--bs-secondary);
    border-color: var(--bs-secondary);
    box-shadow: 0 0 0 0.25rem rgb(77 93 118 / 19%);
}
.form-switch .form-check-input:focus{
    box-shadow: 0 0 0 0.25rem rgb(77 93 118 / 19%);
}
.form-select:focus{
    box-shadow: none;
    border-color: var(--primary_border);
}
form .input-group-text{
    background: var(--primary_shade_2);
    border: transparent;
    color: var(--bs-primary);
}
form input[type=file]::file-selector-button{
    background: var(--primary_shade_2);
    color: var(--bs-primary);
    padding: 1em;
    width: 12.5rem;
}
.input-group{
    border: 0.063rem solid var(--primary_border);
    border-radius: var(--bs-border-radius);
}

.form-control.is-invalid, .was-validated .form-control:invalid{
    border-color: #dc35456e !important;
}
.form-check-input:checked{
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}
.form-check-input:focus{
    box-shadow: 0 0 0 0.25rem rgb(15 152 184 / 25%);
}

::selection {
    background: var(--bs-primary);
    color: var(--bs-white);
}

/* Template Name: {{AiInsights - Bootstrap App Landing Page Template - DesignToCodes}}
Template URL: {{https://www.designtocodes.com/product/aiinsights-app-landing-page-template/}}
Description: {{AiInsights is a fully responsive landing page template, specially designed for App, Software, Dashboard, and SaaS products. }}
Author: DesignToCodes
Author URL: https://www.designtocodes.com
Text Domain: {{ Aiinsights }} */